return {
  title="Chapter 3: \"Asylum\"",
  layers = {
    "data/gfx/refugeehome.png",
    "<player>",
    "data/gfx/refugeehome2.png",
  },
  start = {x = 117, y = 95},
  edges = {
    {{42, 22}, {66,45}},
    {{66, 45}, {213, 57}},
    {{66, 45}, {117,95}},
    {{117,95}, {335, 95}},
  },
  triggers = {
    start = function(scene)
      scene.shutter = 1.0
      G.core.effects:toggle_post_effect(G.noiseeffect, false)
      love.mouse.setVisible(false)
      scene:openShutter()
      scene:disableLayer(3, true)
    end,
    getOut = function(scene)
      if not scene.data.guardThere then
        scene.names.guard.path = {{75, 10}, {70, 40}}
        scene.data.guardThere = true
        scene:addClickzone("guard", {65, 17, 75, 42, "lips", "Guard", "getOut", 66, 45})
      end
      scene.player.path={{66,45}}
      scene.player.action = function()
        scene.player.scale.x = -1
      end
      if not scene.data.hasDict then
        scene:startDialog("guardNonsense")
      else
        scene:startDialog("guardOkay")
      end
    end,
    enableLayer = function(scene)
      scene:disableLayer(3, false)
    end,
    disableLayer = function(scene)
      scene:disableLayer(3, true)
    end,
    talkdenir = function(scene)
      scene:startDialog("talkdenir")
      if scene.data.talkedToDenir then
        scene.activeDialog:open(scene.player.data, "out")
      end
    end,
    sign1 = function(scene)
      if scene.data.hasDict then
        scene:startDialog("sign1a")
      else
        scene:startDialog("sign1b")
      end
    end,
    sign2 = function(scene)
      if scene.data.hasDict then
        scene:startDialog("sign2a")
      else
        scene:startDialog("sign2b")
      end
    end

  },
  walkzones = {
    getOut1 = {64, 22, 76, 37, "getOut"},
    getOut2 = {77,23, 95, 53, "getOut"},
    enableLayer1 = {64, 22, 76, 37, "enableLayer"},
    enableLayer2 = {77,23, 95, 53, "enableLayer"},
    disableLayer = {57, 37, 72, 57, "disableLayer"},
  },
  clickzones = {
    denir = {266, 68, 275, 89, "lips", "Denir", "talkdenir", 260, 95},
    sign1 = {79, 32, 93, 60, "eye", "Sign", "sign1", 83, 61},
    sign2 = {252, 38, 306, 50, "eye", "Sign", "sign2", 280, 94},
  },
  entities = {
    guard = {type="Person", sprite="data/gfx/guard.png", pos = {x = 75, y = 10}},
    denir = {type="Person", sprite="data/gfx/refugee1.png", pos = {x = 270, y = 90}}
  },
  dialogs = function(scene)
    local gelan = {"You", {99, 155, 255}}
    local guard = {"Guard", {63, 63, 116}}
    local denir = {"Denir", {223, 113, 38}}

    local td = DialogSystem()
    td:addPage(
      "start",
      {
        "Hey brother. You come from my country, right?",
        "You speak my language?"
      },
      denir,
      {
        {"Yes, I do. Who are you?", td.always, td:gotoPage("whoareyou")},
        {"Sorry, no time to talk.", td.always, td:closer()}
      }
    )
    td:addPage(
      "whoareyou",
      {
        "My name is Denir.",
        "I have arrived here last week.",
      },
      denir,
      {
        {"Nice to meet you Denir. My name is Gelan.", td.always, function()
            scene.data.talkedToDenir = true
            td:gotoPage("out")()
          end
        }
      }
    )
    td:addPage(
      "out",
      {
        "Nice to meet you, too, brother.",
        "I think we will become friends.",
        "See you on the inside!"
      },
      denir,
      {
        {"Yes, we sure will!", td.always, td:closer()},
        {"I can't get in. The guard doesn't understand me!", function(data)
          return scene.data.guardThere
        end, td:gotoPage("language")}
      }
    )

    td:addPage(
      "language",
      {
        "I have a dictionary. It will help you.",
        "You can have it.",
        "Here.",
        "Just give it back to me once you are in!"
      },
      denir,
      {
        {"", function()
              scene.data.hasDict = true
              td:gotoPage("thankyou")()
            end}
      }
    )

    td:addPage(
      "thankyou",
      {
        "Thank you so much, my friend."
      },
      gelan,
      { {"", td:closer() }}
    )


    local go = DialogSystem()
    go:addPage(
      "start",
      {
        "... ID card ...!",
        "... otherwise ... out!",
      },
      guard,
      {
        {"I don't have an ID card. I am new.", go.always, go:gotoPage("p2")},
        {"Nevermind, I'll leave.", go.always, go:closer()}
      }
    )
    go:addPage(
      "p2",
      {
        "... okay ... new ...",
        "... come in ...",
        "... office ... ID card!"
      },
      guard,
      {{"", function()
        scene.names.guard.path={{70, 40}, {70, 20}}
        scene:removeWalkzone("getOut1")
        scene:removeWalkzone("getOut2")
        scene:removeClickzone("guard")
        scene.noWalking = true
        scene.timekeeper:after(1, function()
          scene.player.path = {{209, 58}}
          scene.timekeeper:after(2, function()
            scene:closeShutter()
            scene.timekeeper:after(1, function()
              scene:overlayText( {
                "Gelan finally reached the refugee center.",
                "He was safe now.","","Mira seemed to be ill.",
                "She coughed a lot when they talked on the phone.",
                "He would have to find a way to get her here",
                "as soon as possible.",
                "",
                "He didn't know how, though.",
                "The helplessness almost made him sick."
              }, 10, 10)
              scene.timekeeper:after(15 / Dialog.speechspeed, function()
                scene:overlayText( {
                  "He had lost his son.",
                  "",
                  "He didn't know how to get his wife back.",
                  "",
                  "He was alone and felt miserable."
                }, 10, 10)
                scene.timekeeper:after(10 / Dialog.speechspeed, function()
                  scene:overlayText( {
                    "At least some people were nice to him.",
                    "They gave him new clothes, a place to sleep",
                    "and something to eat."
                  }, 10, 10)
                  scene.timekeeper:after(10 / Dialog.speechspeed, function()
                    scene:overlayText( {
                      "But not everybody in this country was friendly..."
                    }, 10, 10)
                    scene.timekeeper:after(5 / Dialog.speechspeed, function()
                      scene.state:setActiveScene("epilogue")
                    end)
                  end)
                end)
              end)
            end)
          end)
        end)
        go:close()
      end}}
    )

    local gn = DialogSystem()
    gn:addPage(
      "start",
      {
        "Loxum birosh dunar helom dang!",
        "Clumpig dalas dompok grosh!"
      },
      guard,
      {
        {"I'm sorry, I don't understand your language.", gn.always, gn:gotoPage("nonsense2") },
        {"Please let met in. I am hungry.", gn.always, gn:gotoPage("nonsense3") },
      }
    )
    gn:addPage(
      "nonsense2",
      {
        "Loxum! LOXUM!",
      },
      guard,
      {
        {"H-U-N-G-R-Y!", gn.always, gn:gotoPage("start") },
        {"Never mind, I will come back later.", gn.always, gn:closer() },
      }
    )
    gn:addPage(
      "nonsense3",
      {
        "Grosh! Dompok grosh domag durbuk!",
        "Droktot glubnarts!"
      },
      guard,
      {
        {"You don't understand anything I say, right?", gn.always, gn:gotoPage("start") },
        {"I don't know what to do. Bye.", gn.always, gn:closer() },
      }
    )

    local s1a = DialogSystem()
    s1a:addPage(
      "start",
      {
        "Let's see...",
        "Entrance only for staff and registered refugees"
      },
      gelan,
      {{"", s1a:closer() }})

    local s1b = DialogSystem()
    s1b:addPage(
      "start",
      {
        "I cannot read that language.",
        "They have a different writing system!"
      },
      gelan,
      {{"", s1b:closer() }})

    local s2a = DialogSystem()
    s2a:addPage(
      "start",
      {
        "Let's see...",
        "This language is hard to read...",
        "Refugee Center 12.",
        "I guess that's my new home now"
      },
      gelan,
      {{"", s2a:closer() }})

    local s2b = DialogSystem()
    s2b:addPage(
      "start",
      {
        "I cannot read that language.",
        "They have a different writing system!"
      },
      gelan,
      {{"", s2b:closer() }})


    return {guardNonsense = gn, guardOkay = go,
    talkdenir = td,
    sign1a = s1a, sign1b = s1b, sign2a = s2a, sign2b = s2b
    }
  end,
}
