return {
  title="Chapter 1: \"Departure\"",

  layers = {
    "data/gfx/apartment.png",
    "<player>"
  },
  start = {x = 148, y = 47},
  edges = { 
    {{65,  48}, {114, 48}},
    {{114, 48}, {119, 50}},
    {{119, 50}, {137, 50}},
    {{137, 50}, {152, 47}},
    {{152, 47}, {167, 47}},
    {{167, 47}, {177, 50}, function() return true end},
    {{177, 50}, {213, 50}, function() return true end},
    {{213, 50}, {217, 47}, function() return true end},
    {{217, 47}, {222, 47}, function() return true end},
  },
  entities = {
    mira = { type="Person", sprite = "data/gfx/wife.png",
              pos = {x = 200, y = 49 }
            },
    jimmy = {
             type="Jimmy", pos = {x = 244, y = 41}, anim="jump"
            }
  },
  triggers = {
    start = function(scene)
      scene.noWalking = true
      scene.shutter = 1.0
      G.core.effects:toggle_post_effect(G.noiseeffect, false)
      love.mouse.setVisible(false)
      scene.timekeeper:after(1, function()
        scene:overlayText({
          "The civil war had been going on for quite a while.",
          "Until recently, the government kept the so called",
          "\"Liberation Army\"",
          "away from the northern parts of the country.",
          "But the Liberation Army had more soldiers,",
          "driven by fanatism."
        }, 10, 10)

        scene.timekeeper:after(15 / Dialog.speechspeed, function()
          scene:overlayText({
            "The rebels fought their way further and further",
            "to the north.",
            "",
            "Wherever they came, they caused destruction and chaos.",
            "",
            "The government was helpless and more concerned",
            "with their own wealth and power than with the people",
            "living in their country."
          }, 10, 10)

          scene.timekeeper:after(15 / Dialog.speechspeed, function()
            scene:overlayText({})
            scene.noWalking = false;
            scene:openShutter(function()
              scene:startDialog("start")
            end)
          end)
        end)
      end)
      scene.player.scale.x = -1
      scene.names.jimmy:play("jump")
    end,
    opendoor1 = function(scene)
      scene.data.door1 = true
      scene:addImage("door1", "data/gfx/apartmentdoor.png", 118, 22, 1)
      G.sounds.knock:play()
      scene:removeWalkzone("opendoor1")
    end,
    opendoor2 = function(scene)
      scene.data.door2 = true
      scene:addImage("door2", "data/gfx/apartmentdoor.png", 194, 22, 1)
      G.sounds.knock:play()
      scene:removeWalkzone("opendoor2")
    end,
    opencabinet = function(scene)
      scene:addImage("cab", "data/gfx/opencabinet.png", 87, 29, 1)
      G.sounds.knock:play()
      scene:removeClickzone("opencabinet")
      scene:startDialog("gameboyfound")
      scene.player.data.gbfound = true
    end,
    talktojimmy = function(scene)
      scene.player.scale.x = -1
      scene:startDialog("talktojimmy")
    end,
    bed = function(scene)
      scene:startDialog("money")
    end,
    kitchen = function(scene)
      G.sounds.knock:play()
      scene.state:setActiveScene("kitchen")
    end,
    exit = function(scene)
      if scene.player.data.money and scene.player.data.phone then
        scene:startDialog("exit")
      elseif scene.player.data.money then
        scene:startDialog("onlymoney")
      elseif scene.player.data.phone then
        scene:startDialog("onlyphone")
      else
        scene:startDialog("nothing")
      end
    end,
    uncle = function(scene)
      scene:startDialog("uncle")
    end,
    brother = function(scene)
      scene:startDialog("brother")
    end,
    parents = function(scene)
      scene:startDialog("parents")
    end,
    parents2 = function(scene)
      scene:startDialog("parents2")
    end,
  },

  walkzones = {
    opendoor1 = {137,0, 145, 200, "opendoor1"},
    opendoor2 = {199,37, 209, 60, "opendoor2"}
  },

  clickzones = {
    opencabinet = {86, 28, 101, 49, "grab", "Cabinet", "opencabinet", 93, 47},
    talktojimmy = {235, 28, 250, 45, "lips", "Jimmy", "talktojimmy", 222, 47},
    kitchen     = {146, 20, 160, 44, "grab", "Kitchen", "kitchen", 153, 45},
    exit        = {66, 20, 80, 44, "grab", "Apartment Door", "exit", 73, 45},
    uncle       = {89, 19, 98, 26, "eye", "Photo", "uncle", 93, 48},
    brother     = {168, 20, 177, 27, "eye", "Photo", "brother", 172, 48},
    parent      = {182, 23, 191, 30, "eye", "Photo", "parents", 186, 48},
    parent2      = {217, 20, 226, 27, "eye", "Photo", "parents2", 220, 48},
  },

  dialogs = function(scene) 
    local mira = {"Mira", {172, 50, 50}}
    local gelan = {"You", {99, 155, 255}}
    local jimmy = {"Jimmy", {118, 66, 138}}
    local u = DialogSystem()
    u:addPage("start",
      {
        "This is my uncle Glom.",
        "Good old Glom.",
        "I will miss him.",
        "I hope he will understand."
      },
      gelan,
      {{"", u:closer()}})
    local brother = DialogSystem()
    brother:addPage("start",
      {
        "My brother.",
        "He died two years ago while travelling in the south.",
        "I really hate the Liberation Army."
      },
      gelan,
      {{"", brother:gotoPage("2")}})
    brother:addPage("2",
      {
        "I'm so sorry, honey.",
        "I know you loved your brother."
      },
      mira,
      {{"", brother:closer()}})

    local parents = DialogSystem()
    parents:addPage("start",
      {
        "My parents.",
        "It is sad that they are dead.",
        "But at least they did not see what the Liberation Army\nmade out of this beautiful country.",
        "And they didn't see my brother die."
      },
      gelan,
      {{"", parents:closer()}})
    local parents2 = DialogSystem()
    parents2:addPage("start",
      {
        "My parents and little Jimmy when he was younger.",
        "Shortly before the war began."
      },
      gelan,
      {{"", parents2:closer()}})

    local e = DialogSystem()
    e:addPage(
      "start",
      {
        "Mira, Jimmy. Come. We must leave now",
      },
      gelan,
      {
        {"", function()
          scene:closeShutter(function()
            scene.state:setActiveScene("taken")
          end)
          e:close()
        end}
      }
    )


    local op = DialogSystem()
    op:addPage(
      "start",
      {
        "You have not taken our money, yet.",
        "How long do you think we can survive without money?",
        "I cannot tell you where the money is.",
        "You have hidden it somewhere.",
        "Don't you remember where it is?"
      },
      mira,
      {
        {"", op:closer()}
      }
    )

    local om = DialogSystem()
    om:addPage(
      "start",
      {
        "I should really not leave without my phone.",
        "It will be my only chance to talk to the rest of the family"
      },
      gelan,
      {
        {"", om:closer()}
      }
    )

    local n = DialogSystem()
    n:addPage(
      "start",
      {
        "I will need my phone and our money before we\ncan even think about leaving.",
        "If only I remembered where I put it."
      },
      gelan,
      {
        {"", n:closer()}
      }
    )




    
    local j = DialogSystem()
    j:addPage(
      "start",
      {
        "Hey Dad.",
        "What's up?"
      },
      jimmy,
      {
        {"Get off the bed, we have to go.", j.always, j:gotoPage("getoff")},
        {"Hey boy, I found your GAME BOY.", function(data) return data.gbfound end, j:gotoPage("gbfound")},
        {"Bye.", j.always, j:closer()}

      }
    )
    j:addPage(
      "getoff",
      {
        "No, daddy.",
        "I have to do my training.",
        "Please go!"
      },
      jimmy,
      {
        {"", j:gotoPage("start", true)}
      }
    )
    j:addPage(
      "gbfound",
      {
        "Oh yeah!",
        "I was tired of my training anyway."
      },
      jimmy,
      {
        {"", function()
          scene:removeClickzone("talktojimmy")
          local function moveJimmy()
            scene.timekeeper:after(math.random(5) + 3, moveJimmy)
            local low = 0
            local high = 222
            if not scene.data.door1 then
              low = 138
            end
            local x = low + math.random() * (high - low)
            local path = scene.walkgraph:findPath(scene.names.jimmy.pos.x, scene.names.jimmy.pos.y, x, 49)
            scene.names.jimmy.path = path
          end
          scene.timekeeper:after(4, moveJimmy)
          local jm = scene.names.jimmy
          jm.path = {{jm.pos.x, jm.pos.y},{232, 49}, {219, 49}}
          jm.action = function() G.sounds.gameboy:play() end
          scene:addClickzone("bed", {234, 38, 254, 54, "grab", "Bed", "bed", 222, 47})
          j:close()
        end}
      }
    )
  
    local m = DialogSystem()
    m:addPage(
      "start",
      {
        "I have already sold most of our valuables.",
        "The money has been save beneath our mattress.",
        "We will have to take everything with us."
      },
      gelan,
      {{"", function()
        scene:removeClickzone("bed")
        scene.player.data.money = true
        m:close()
      end}}
    )

    local d = DialogSystem()
    d:addPage(
      "start",
      {
        "I have talked to Danor today.",
        "He said, the government troops would arrive here soon.",
        "The rebels are hiding not far from here.",
        "What if they start fighting here?",
        "I am afraid, Gelan!",
      },
      mira,
      {
        {"What do you think we should do?", d.always, d:gotoPage("shoulddo")},
        {"Danor doesn't know anything.", d.always, d:gotoPage("knowsnothing")},
        {"I think you are right. Let us leave.", d.always, d:gotoPage("leave")}
      }
    )
    d:addPage(
      "shoulddo",
      {
        "Clarissa told me about a country in the north.",
        "She said that there is no war and that they give refugees\na new home.",
        "I know you love our country, but it is getting too\ndangerous here.",
        "Please let us go there!"
      },
      mira,
      {
        {"This is way to dangerous!", d.always, d:gotoPage("toodangerous")},
        {"We don't know the way!", d.always, d:gotoPage("dontknow")},
      }
    )
    d:addPage(
      "toodangerous",
      {
        "I know it is dangerous.",
        "But do you really think we are safe here?",
        "Please let us leave",
      },
      mira,
      {
        {"", d:gotoPage("start", true)}
      }
    )
    d:addPage(
      "knowsnothing",
      {
        "The whole city is talking about it.",
        "I am sure it is the truth.",
        "Please let us leave.",
      },
      mira,
      {
        {"", d:gotoPage("start", true)}
      }
    )
    d:addPage(
      "dontknow",
      {
        "Yes. This is true. But I heard other families were\ngoing to leave, too.",
        "Together we will find the way!"
      },
      mira,
      {
        {"", d:gotoPage("start", true)}
      }
    )
    d:addPage(
      "leave",
      {
        "Thank you, dear. I don't feel safe here anymore.",
        "We have to hurry.",
        "Please get our money and the phone.",
        "And tell Jimmy to come.",
      },
      mira,
      {
        {"",
          function()
            d:close()
            local function moveMira()
              scene.timekeeper:after(math.random(5) + 3, moveMira)
              local low = 0
              local high = 222
              if not scene.data.door1 then
                low = 138
              end
              if not scene.data.door2 then
                high = 202
              end
              local x = low + math.random() * (high - low)
              local path = scene.walkgraph:findPath(scene.names.mira.pos.x, scene.names.mira.pos.y, x, 49)
              scene.names.mira.path = path
            end
            scene.timekeeper:after(4, moveMira)
          end
        }
      }
    )

    local gb = DialogSystem()
    gb:addPage(
      "start",
      {
        "I found Jimmy's GAME BOY.",
        "He may want to take it with him."
      },
      gelan,
      {{"",gb:closer()}}
    )


        
    return {start = d,
      gameboyfound = gb,
      talktojimmy = j,
      money = m,
      onlyphone = op,
      onlymoney = om,
      nothing = n,
      exit = e,
      uncle = u, brother=brother, parents=parents, parents2=parents2}
  end


}
