return {
  title="Chapter 2: \"Taken\"",
  layers = {
    "data/gfx/taken.png",
    "<player>"
  },
  start = {x = 257, y = 77},
  edges = {
    {{329, 77}, {90, 77}},
  },
  triggers = {
    start = function(scene)
      scene.shutter = 1.0
      G.core.effects:toggle_post_effect(G.noiseeffect, false)
      love.mouse.setVisible(false)
      scene.noWalking = true

      scene.timekeeper:after(1, function()
        scene:overlayText({
          "Gelan, Mira and Jimmy started their journey to a safer place.",
          "They met many people with the same destination.",
          "",
          "The way was long and hard. They marched for several days,",
          "sleeping in the open, always in the fear of being robbed,",
          "raped or kidnapped."
        }, 10, 10)
        scene.timekeeper:after(15 / Dialog.speechspeed, function()
          scene:overlayText({
            "But everthing had passed without any serious incidents so far.",
            "",
            "Still, the rumors of the Liberation Army advancing",
            "further and further to the north worried them.",
            "",
            "Gelan estimated that they would have to march for only two",
            "or three more days until they would reach the border.",
            "",
            "Safety was waiting on the other side of the border."
          }, 10, 10)

          scene.timekeeper:after(15, function()
            scene:overlayText({})
            scene:openShutter(function()
              scene.noWalking = false
              local function moveThink()
                local p = scene.player.pos.x
                local m = scene.names.mira.pos.x
                local j = scene.names.jimmy.pos.x
                
                if math.abs(p-m) > 50 then
                  local dstM = p + 44 * lust.tools.sig(m-p)
                  local path = scene.walkgraph:findPath(scene.names.mira.pos.x, scene.names.mira.pos.y, dstM, 77)
                  scene.names.mira.path = path
                end

                if math.abs(p-j) > 30 then
                  local dstM = p + 22 * lust.tools.sig(m-p)
                  local path = scene.walkgraph:findPath(scene.names.jimmy.pos.x, scene.names.jimmy.pos.y, dstM, 77)
                  scene.names.jimmy.path = path
                end

                if scene.data.soldiers ~= 2 then
                  scene.timekeeper:after(1, moveThink)
                end
              end

              scene.timekeeper:after(1, moveThink)

              scene:startDialog("start")
            end)

          end)

        end)

      end)

    end,
    startSoldiers = function(scene)
      scene:removeWalkzone("startSoldiers")
      scene.data.soldiers = 1
      scene.player.path = {}
      scene.player:play("idle")
      local x = {0, 7, 10, 16, -8,-14,0, -5,9, 16}
      local y = {0, 4, -4, 6, 10, -10, 15, -15, 8, 3}
      for i = 1, 10 do
        local name = "soldier_a_" .. i
        local ent = Person(scene, "data/gfx/soldier.png", -50 + x[i], 77 + y[i])
        ent.path = {{-50 + x[i], 77+y[i]}, {20+x[i], 77+y[i]}}
        scene:addEntity(name, ent)
      end
      scene.timekeeper:after(1.5, function()
        scene:startDialog("soldiers1")
      end)
    end,
    soldiers2 = function(scene)
      if scene.data.soldiers == 1 then
        scene.data.soldiers = 2
        scene.noWalking = true
        scene.player.path = {}
        scene.player:play("idle")
        scene:removeWalkzone("soldiers2")
        scene.data.soldiers = 2
        local y = {0, 7, 10, 16, -8,-14,0, -5,9, 16}
        local x = {0, 4, -4, 6, 10, -10, 15, -15, 8, -6}
        for i = 1, 10 do
          local name = "soldier_b_" .. i
          local ent = Person(scene, "data/gfx/soldier.png", 360 + x[i], 77 + y[i])
          ent.path = {{360 + x[i], 77+y[i]}, {320+x[i], 77+y[i]}}
          scene:addEntity(name, ent)
        end
        scene.timekeeper:after(1.5, function()
          scene:startDialog("soldiers2")
        end)
      end
    end
  },
  walkzones = {
    startSoldiers = {184, 51, 200, 90, "startSoldiers"},
    soldiers2 = {260, 51, 290, 90, "soldiers2"},
  
  },
  clickzones = {
  },
  entities = {
    mira = { type="Person", sprite = "data/gfx/wife.png",
              pos = {x = 301, y = 77 }
            },
    jimmy = {
             type="Jimmy", pos = {x = 273, y = 77}
            }
  },
  dialogs = function(scene)
    local mira = {"Mira", {172, 50, 50}}
    local gelan = {"You", {99, 155, 255}}
    local jimmy = {"Jimmy", {118, 66, 138}}
    local soldier = {"Soldier", {75, 105, 47}}

    local s2 = DialogSystem()
    s2:addPage(
      "start",
      {
        "You're not going anywhere.",
        "You have insulted The Liberation Army.",
        "You are not worthy of becoming a soldier in our great\nstruggle.",
        "We should kill you on the spot.",
        "But I have a better plan for you.",
        "We will take your son."
      },
      soldier,
      {{"", s2:gotoPage("takeson")}}
    )
    s2:addPage(
      "takeson",
      {
        "No, please.",
        "Please, take me instead.",
        "I will fight!",
        "I am strong!",
        "Just don't take my son.",
        "I beg you, please, no!"
      },
      gelan,
      {{"", s2:gotoPage("takeson2")}}
    )
    s2:addPage(
      "takeson2",
      {
        "No, please.",
        "Gelan, stop them!"
      },
      mira,
      {{"", s2:gotoPage("takeson3")}}
    )
    s2:addPage(
      "takeson3",
      {
        "Daddy, I want to go!",
        "Daddy, please."
      },
      jimmy,
      {{"", s2:gotoPage("takeson4")}}
    )
    s2:addPage(
      "takeson4",
      {
        "SILENCE!",
        "Enough with the whining!",
        "Private, take the boy!"
      },
      soldier,
      {{"", 
        function(data)
          scene.player.scale.x = -1
          scene.names.jimmy.scale.x = -1
          scene.names.mira.scale.x = -1
          s2:close()
          scene.player.path={{scene.names.jimmy.pos.x + 30, scene.names.jimmy.pos.y}}
          local soldier = scene.names.soldier_b_1
          scene.player.action = function()
            soldier.path={{scene.player.pos.x+6, scene.player.pos.y}}
            soldier.action = function()
              soldier:play("punch")
              scene.timekeeper:after(0.4, function()
                scene:addImage("pko", "data/gfx/player_ko.png", scene.player.pos.x - 10, scene.player.pos.y-10, 1)
                G.sounds.knock:play()
                scene.player:warpTo(1000, 1000)

              end)
              soldier:setNextAnim("idle")
              scene.timekeeper:after(1, function()
                soldier.path = {{scene.names.mira.pos.x+6, scene.names.mira.pos.y}}
                soldier.action = function()
                  soldier:play("punch")
                  scene.timekeeper:after(0.4, function()
                    scene:addImage("mko", "data/gfx/mira_ko.png", scene.names.mira.pos.x - 10, scene.names.mira.pos.y-10, 1)
                    G.sounds.knock:play()
                    scene.names.mira:warpTo(1000, 1000)

                  end)
                  soldier:setNextAnim("idle")
                  scene.timekeeper:after(1, function()
                    soldier.path={{scene.names.jimmy.pos.x-6, scene.names.jimmy.pos.y}}
                    soldier.action = function()
                      soldier.scale.x = -1
                      scene.timekeeper:after(1, function()
                        scene:closeShutter(function()
                          scene:overlayText({
                            "When Gelan and Mira woke up again, their son was gone.",
                            "There was no trace of the soldiers who had taken him.",
                            "Mira begged Gelan to try and find him.",
                            "But none of them knew where to search or how to free him",
                            "if they ever found him."
                          }, 
                          10, 10)
                          scene.timekeeper:after(15 / Dialog.speechspeed, function()
                            scene:overlayText({
                              "Heavy-heartedly they decided to continue",
                              "and hoped their son would survive the war.",
                              "Maybe they would see each other again in",
                              "a distant future that was not visible on the horizon, yet."
                            }, 
                            10, 10)
                            scene.timekeeper:after(15 / Dialog.speechspeed, function()
                              scene:overlayText({
                                "Mira never stopped weeping again.",
                                "After six weeks they reached a refugee camp in a",
                                "neighbouring country.",
                                "",
                                "The government of this country did not care",
                                "much about the situation of the people there.",
                                "There was barely enough food for everybody",
                                "and the water was unclean and smelled bad.",
                                "",
                                "But they were relatively safe there."
                              }, 
                              10, 10)
                              scene.timekeeper:after(20 / Dialog.speechspeed, function()
                                scene:overlayText({
                                  "More and more people came to the camp.",
                                  "And the situation got worse every day.",
                                  "",
                                  "Gelan decided to continue his journey.",
                                  "Mira would stay here, she was too weak to continue.",
                                  "Once he reached a better place and his",
                                  "request for asylum was accepted, he would",
                                  "find a way to get Mira there, too."
                                }, 
                                10, 10)

                                scene.timekeeper:after(20 / Dialog.speechspeed, function()
                                  scene:overlayText({
                                    "At least they had their mobile phones.",
                                    "That way they could stay in touch.",
                                    "Gelan did not want to leave his wife behind.",
                                    "But he knew it was their only chance.",
                                    "",
                                    "Two days later he left."
                                  }, 
                                  10, 10)

                                  scene.timekeeper:after(15 / Dialog.speechspeed, function()
                                    scene.state:setActiveScene("asylum")
                                  end)
                                end)
                              end)
                            end)
                          end)
                        end)
                      end)
                    end
                  end)
                end
              end)
            end
          end
        end
      }}
    )



    
    local s = DialogSystem()
    s:addPage(
      "start",
      {
        "What is that, Gelan?"
      },
      mira,
      {
        {"", s:gotoPage("dontknow")}
      }
    )
    s:addPage(
      "dontknow",
      {
        "I don't know, honey.",
        "It looks like a road block.",
        "It seems abandoned.",
        "Let us move on!",
      },
      gelan,
      {
        {"", s:gotoPage("badfeeling")}
      }
    )
    s:addPage(
      "badfeeling",
      {
        "I have a bad feeling about this.",
        "But there is no other way."
      },
      mira,
      {
        {"", s:closer()}
      }
    )

    local s1 = DialogSystem()
    s1:addPage(
      "start",
      {
        "Stop!",
        "This is the territory of The Liberation Army.",
        "What are you doing here?"
      },
      soldier,
      {
        {"We are trying to get away from the war.", s1.always, s1:gotoPage("running")},
        {"Please sir, let us pass.", s1.once("pleasepass"), s1:gotoPage("pleasePass")}
      }
    )
    s1:addPage(
      "pleasePass",
      {
        "You did not answer my question.",
        "Let me ask you again:",
        "WHAT ARE YOU DOING HERE?"
      },
      soldier,
      {{"", s1:gotoPage("start", true)}}
    )

    s1:addPage(
      "running",
      {
        "So you say you are a deserter?",
        "You don't fight for The Liberation Army?",
        "What is wrong with you?",
        "You look like a healthy young man.",
        "Do you think you are better than the rest of us?"
      },
      soldier,
      {
        {"No I certainly don't think that.", s1.once("notbetter"), s1.tagOnce("notbetter", s1:gotoPage("notbetter"))},
        {"It is not my fight. I just want to live in peace!", s1.always, s1:gotoPage("liveinpiece")},
        {"You are destroying our country, can't you see that?", s1.once("destroying"), s1.tagOnce("destroying", s1:gotoPage("destroying"))}
      }
    )
    s1:addPage(
      "destroying",
      {
        "Please don't say that, dear.",
        "They are going to kill us!"
      },
      mira,
      {{"", s1:gotoPage("running", true)}}
    )
    s1:addPage(
      "liveinpiece",
      {
        "Oh, it seems we have a real peacenik here, men.",
        "Of course we will let you pass.",
        "Please come, we will open the gate for you.",
        "Do you want flowers and a cake for the way?"
      },
      soldier,
      {{"", s1:gotoPage("miranothappy")}}
    )
    s1:addPage(
      "notbetter",
      {
        "Then why are you not joining the\nglorious Liberation Army?",
      },
      soldier,
      {{"", s1:gotoPage("running", true)}}
    )
    s1:addPage(
      "miranothappy",
      {
        "Please let us turn around, honey.",
        "Maybe we have a chance if we run.",
      },
      mira,
      {{"",s1:closer()}}
    )

    return {start = s, soldiers1  = s1, soldiers2 = s2}
  end,
}
