IngameState = lust.State:extend()
Player = require('player')
Scene = require('scene')

function IngameState:new(manager)
  IngameState.super.new(self, manager)

  local scenes = {apartment = "chapter1",
    kitchen = "kitchen",
    taken = "taken",
    asylum = "asylum",
    epilogue = "epilogue"
  }
  self.scenes = {}
  for k, v in pairs(scenes) do
    self.scenes[k] = Scene(self, v, self.player)
  end
  self.scene = self.scenes.apartment
  
end


function IngameState:update(dt)
  --self.entities:update(dt)
  self.scene:update(dt)
end


function IngameState:setActiveScene(name)
  local newscene = self.scenes[name]
  -- dirty, but should work
  newscene.player.data = self.scene.player.data
  self.scene = newscene
end


function IngameState:mousepressed(x,y,b)
  
end


function IngameState:mousereleased(x,y)
  self.scene:click(x,y)
end


function IngameState:mousemoved(x,y)
  self.scene:mousemoved(x,y)
end


function IngameState:draw()
  love.graphics.clear()

  self.scene:draw()

  love.graphics.setColor(255,255,255)
end

return IngameState
