lust = require('lust')
DialogSystem = require('dialogsystem')
Dialog = require("dialog")
IngameState = require('ingame_state')
NoiseEffect = require('noiseeffect')

function love.draw()
  G.core:draw()
end

local a,b,c,d =love.getVersion()
if d == "Dead Opossum" then
  love.mouse.setCursor = function() end
  love.mouse.newCursor = function() end
end

function love.update(dt)
  local s = G.scaleeffect.scale
  local x, y = love.mouse.getPosition()
  G.core.states:mousemoved(x / s, y / s)
  G.core:update(dt)
end


local function keypressed(key)
  if key == "1" then
    Dialog.speechspeed = 0.25
  elseif key == "2" then
    Dialog.speechspeed = 0.5
  elseif key == "3" then
    Dialog.speechspeed = 1
  elseif key == "4" then
    Dialog.speechspeed = 2
  elseif key == "5" then
    Dialog.speechspeed = 4
  end
end


function love.mousereleased(x, y, button)
  local s = G.scaleeffect.scale
  G.core.states:mousereleased(x / s,y / s,button)
end


function love.mousepressed(x, y, button)
  local s = G.scaleeffect.scale
  G.core.states:mousepressed(x/s,y/s,button)
end


function love.load()
  G = {}
  G.music = love.audio.newSource("data/audio/music.ogg", "stream")
  G.music:setLooping(true)
  G.music:play()
  G.font = love.graphics.newFont("data/Volter__28Goldfish_29.ttf", 9)
  G.titlefont = love.graphics.newFont("data/Volter__28Goldfish_29.ttf", 18)
  love.graphics.setFont(G.font)
  G.core = lust.Core()
  G.noiseeffect = NoiseEffect()
  G.core.effects:add_post_effect(G.noiseeffect)
  G.scaleeffect = lust.ScaleEffect(3)
  G.core.effects:add_post_effect(G.scaleeffect)
  local cursors = {
    pointer = {"data/gfx/pointer.png", 1, 1},
    grab    = {"data/gfx/grabpointer.png", 15,15},
    lips    = {"data/gfx/lips.png", 15, 14},
    eye     = {"data/gfx/eye.png", 15, 14},
  }
  G.sounds = {
    knock = love.audio.newSource("data/audio/knock.ogg", "static"),
    gameboy = love.audio.newSource("data/audio/gameboy.ogg", "static"),
    slowdown = love.audio.newSource("data/audio/slowdown.ogg", "static")

  }

  G.cursors = { }

  for k, v in pairs(cursors) do
    local cursor = G.core.images:load(v[1])
    cursor:setFilter('nearest', 'nearest')
    G.cursors[k] = love.mouse.newCursor(cursor:getData(), v[2], v[3])
  end
  love.mouse.setCursor(G.cursors.pointer)

  G.core.states:push(IngameState(G.core.states))
  love.keypressed = keypressed
end
