

local NoiseEffect = lust.PostEffect:extend()

function NoiseEffect:new()
  NoiseEffect.super.new(self)
  self.shader = love.graphics.newShader [[
    extern number time;
    extern vec2 size;
    extern number desat;

    float rand(vec2 co)
    {
      // stolen!
      co.x += fract(time/size.x*1.1);
      co.y += fract(time/size.y*1.1);
      float a = 12.9898;
      float b = 78.233;
      float c = 43758.5453;
      float dt= dot(fract(co.xy) ,vec2(a,b));
      float sn= mod(dt,3.14);
      return fract(sin(sn) * c);
    } 

    vec4 desaturate(vec4 a) {
      float b = (0.2126*a.r + 0.7152*a.g + 0.0722*a.b);
      return vec4((1.0-desat) * a.rgb, 1.0)  + desat* vec4(b,b,b,0.0);
    }

    vec4 effect(vec4 color, Image texture, vec2 texture_coords, vec2 pixel_coords) {
      float n = 0.07 * (rand(texture_coords) - 0.5);
      return desaturate(texture2D(texture, texture_coords) + n);
    }
    

  ]]

  self.shader:send("size", {341, 200})
  self.shader:send("time", 0)
  self.shader:send("desat", 0)
  self.t = 0
  self.q1 = love.graphics.newQuad(0,0,341,30,love.graphics.getWidth(), love.graphics.getHeight())
  self.q2 = love.graphics.newQuad(0,30,341,100,love.graphics.getWidth(), love.graphics.getHeight())
  self.q3 = love.graphics.newQuad(0,130,341,70,love.graphics.getWidth(), love.graphics.getHeight())
end

function NoiseEffect:draw(canvas)
  
  self.t = self.t + 1
  self.shader:send("desat", 0.4 + 0.4 * math.sin(self.t * 0.01))
  self.shader:send("time", self.t)
  love.graphics.setShader(self.shader)
  love.graphics.draw(canvas, self.q2, 0, 30)
  love.graphics.setShader()
  love.graphics.draw(canvas, self.q1, 0, 0)
  love.graphics.draw(canvas, self.q3, 0, 130)
end


return NoiseEffect
